/// <reference types="node" />
import { dbu } from '../lib/mysql';
interface IFilenameGeneratorOption {
    /** 数据库名称 */
    dbname: string;
    /** 版本号xx.xx */
    version: number;
}
/** 数据库备份选项 */
export interface IBackupOption {
    /**
     * 文件名生成器
     *
     * 使用此选项，请保证文件名按照一定的规则升序排列，否则在恢复时可能会出现问题
     * @param option 生成器选项
     */
    filenameGenerator?: (option: IFilenameGeneratorOption) => string;
    /** 备份文件加密密码 */
    fileEncryptPassword?: string | Buffer;
    /** 备份目录 */
    backupDir: string;
    /** 备份文件标记 */
    backupFileTag?: string | Buffer;
    /** 数据库配置 */
    databaseConfig: dbu.IMysqlConnOption & {
        /** 数据库名 */
        database: string;
    };
}
/**
 * 备份数据库
 * @param option 备份选项
 */
export declare function backup(option: IBackupOption): Promise<void>;
export {};
