/// <reference types="node" />
import { dbu } from '../lib/mysql';
export interface IRestoreOption {
    /** 备份文件创建时的加密密码 */
    fileEncryptPassword?: string | Buffer;
    /** 备份目录 */
    backupDir: string;
    /** 备份文件标记 */
    backupFileTag?: string | Buffer;
    /** 恢复的文件名称 */
    file?: string;
    /** 数据库配置 */
    databaseConfig: dbu.IMysqlConnOption & {
        /** 数据库名 */
        database: string;
    };
    /** 处理进度 */
    onProgress?: (load: number, total: number) => any;
}
/**
 * 恢复数据库
 * @param option 数据库恢复选项
 */
export declare function restore(option: IRestoreOption): Promise<void>;
