import { dbu } from '../lib/mysql';
/** 数据库升级选项 */
export interface IUpdateOption {
    /** 版本文件存放位置 */
    versionDir?: string;
    /** 要升级到的版本号，默认最新版本 */
    version?: string;
    /** 数据库配置 */
    databaseConfig: dbu.IMysqlConnOption & {
        /** 数据库名 */
        database: string;
    };
}
/**
 * 开始版本升级
 * @param version 版本号，如果为true表示升级到最新
 */
export declare function update(option: IUpdateOption): Promise<void>;
